# comment out if not git snapshot
#define         date 20181108
#define         gitcommit 1f13bf5

# release for bumping
%define		rel 4

Name:           rdesktop
Version:        1.9.0
Release:        %mkrel %{?date:0.%{date}_git%{gitcommit}.}%{rel}
Summary:        X client for remote desktop into Windows Terminal Server
Group:          Networking/Remote access
License:        GPLv2+
URL:            http://www.rdesktop.org/
Source0:        https://github.com/rdesktop/rdesktop/archive/v%{version}/%{name}-%{version}%{?date:-%date-git%gitcommit}.tar.gz

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(libgssglue)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(krb5-gssapi)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(libtasn1)
BuildRequires:  pkgconfig(nettle)
BuildRequires:  pkgconfig(gnutls)
Recommends:     xclip

%description
rdesktop is an open source client for Windows NT Terminal Server and Windows
2000 Terminal Services, capable of natively speaking Remote Desktop Protocol
(RDP) in order to present the user's NT desktop. Unlike Citrix ICA, no server
extensions are required.

rdesktop currently runs on most UNIX based platforms with the X Window System,
and other ports should be fairly straightforward.

%prep
%autosetup -p1 -n %{name}-%{version}

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
export STRIP="/bin/true"
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
export CPPFLAGS="%{optflags} -fPIC"
autoreconf -vfi
%configure \
    --with-ipv6 \
    --with-x \
    --enable-smartcard \
    --with-openssl=%{_prefix}
%make_build

chmod 644 doc/*

%install
%make_install

%files
%doc README.md COPYING doc/{AUTHORS,ChangeLog,HACKING,TODO,*.txt}
%{_bindir}/rdesktop
%{_datadir}/rdesktop
%{_mandir}/man1/*


%changelog
* Sun Nov 29 2020 luigiwalser <luigiwalser> 1.9.0-4.mga8
+ Revision: 1650425
- rebuild for nettle

* Fri Jul 03 2020 joequant <joequant> 1.9.0-3.mga8
+ Revision: 1601736
- bump

* Sun Feb 16 2020 umeabot <umeabot> 1.9.0-2.mga8
+ Revision: 1535898
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 14 2019 kekepower <kekepower> 1.9.0-1.mga8
+ Revision: 1453097
- Update to version 1.9.0

* Sat Jun 29 2019 kekepower <kekepower> 1.8.6-1.mga8
+ Revision: 1416161
- Update to version 1.8.6

* Wed May 08 2019 kekepower <kekepower> 1.8.5-1.mga7
+ Revision: 1396674
- Update to version 1.8.5

* Wed Jan 02 2019 kekepower <kekepower> 1.8.4-1.mga7
+ Revision: 1348698
- Update to version 1.8.4 final

* Thu Nov 08 2018 kekepower <kekepower> 1.8.4-0.20181108_git1f13bf5.1.mga7
+ Revision: 1328890
- Update to release 20181108_git1f13bf5

* Tue Oct 23 2018 kekepower <kekepower> 1.8.4-0.20181023_git6a14831.1.mga7
+ Revision: 1324529
- Update to release 20181023_git6a14831

* Sun Sep 23 2018 umeabot <umeabot> 1.8.4-0.20180626_git79e5b33.3.mga7
+ Revision: 1300790
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 1.8.4-0.20180626_git79e5b33.2.mga7
+ Revision: 1242438
- fix build on aarch64

* Wed Jun 27 2018 kekepower <kekepower> 1.8.4-0.20180626_git79e5b33.1.mga7
+ Revision: 1240293
- Update to release 1.8.4-0.20180626_git79e5b33
- Update to release 1.8.3-0.20180626_git79e5b33

* Fri Apr 20 2018 kekepower <kekepower> 1.8.4-0.20180417_git567b1f7.1.mga7
+ Revision: 1220585
- Update to 20180417_git567b1f7

* Sat Mar 24 2018 kekepower <kekepower> 1.8.4-0.20180323_gita0bf290.1.mga7
+ Revision: 1211818
- Update to version 20180323-gita0bf290

* Wed Mar 07 2018 kekepower <kekepower> 1.8.4-0.20180307_git4580492.1.mga7
+ Revision: 1207032
- Update to version 20180307-git4580492

* Thu Mar 01 2018 kekepower <kekepower> 1.8.4-0.20180301_git62ea190.1.mga7
+ Revision: 1205886
- Update to 20180301-git62ea190

* Tue Feb 13 2018 kekepower <kekepower> 1.8.4-0.20180209_gitad3ed6b.1.mga7
+ Revision: 1200784
- Update to git20180209-ad3ed6b

* Fri Feb 02 2018 kekepower <kekepower> 1.8.4-0.20180202_git08c293b.1.mga7
+ Revision: 1198654
- Update to 20180202-git08c293b

* Thu Feb 01 2018 kekepower <kekepower> 1.8.4-0.20180201_gitfe8438d.1.mga7
+ Revision: 1198534
- Update to git-20180201
- Upstream fixed the fallthru issues

* Tue Jan 30 2018 kekepower <kekepower> 1.8.4-0.20180130_gitf7e4195.1.mga7
+ Revision: 1198144
- Add the date to the filename. Thanks wally_.

* Tue Jan 30 2018 kekepower <kekepower> 1.8.4-0.gitf7e4195.1.mga7
+ Revision: 1198140
- Update to git-f7e4195
- Enable building with openssl
- Add patch to get it to compile with gcc 7.3.0. Patch submitted to rdesktop
+ wally <wally>
- build with %%optflags

* Sat Jan 27 2018 kekepower <kekepower> 1.8.4-0.gitda5153c.1.mga7
+ Revision: 1197413
- Update to pre 1.8.4-git while we wait for 1.8.4 final
- Fixed build commands
- Updated to version 1.8.4-0.git1553760
- Clean up spec file a little
- Removed OpenSSL patch as it is no longer needed
- Added BR for xrandr, krb5-gssapi and libpulse
- Added Recommends for xclip

* Mon Aug 07 2017 guillomovitch <guillomovitch> 1.8.3-4.mga7
+ Revision: 1138298
- rebuild for latest openssl

* Thu Mar 03 2016 umeabot <umeabot> 1.8.3-3.mga6
+ Revision: 983981
- Rebuild for openssl

* Mon Feb 08 2016 umeabot <umeabot> 1.8.3-2.mga6
+ Revision: 950472
- Mageia 6 Mass Rebuild

* Mon Nov 03 2014 luigiwalser <luigiwalser> 1.8.3-1.mga5
+ Revision: 795362
- 1.8.3

* Wed Oct 15 2014 umeabot <umeabot> 1.8.2-3.mga5
+ Revision: 745250
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 688623
- Mageia 5 Mass Rebuild

* Thu May 22 2014 luigiwalser <luigiwalser> 1.8.2-1.mga5
+ Revision: 624826
- 1.8.2

* Wed Dec 11 2013 luigiwalser <luigiwalser> 1.8.1-1.mga4
+ Revision: 556226
- 1.8.1

* Sat Oct 19 2013 umeabot <umeabot> 1.8.0-2.mga4
+ Revision: 531756
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 oden <oden> 1.8.0-1.mga4
+ Revision: 465010
- 1.8.0

* Mon Jan 14 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 380225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 29 2012 guillomovitch <guillomovitch> 1.7.1-1.mga2
+ Revision: 202984
- new version
- drop psclite patch (not needed anymore)
- fix format errors

* Mon Apr 18 2011 wally <wally> 1.7.0-1.mga1
+ Revision: 87833
- new version 1.7.0
- sync patches with Mandriva
- add lib64 fix from Mandriva

* Tue Apr 12 2011 wally <wally> 1.6.0-12.mga1
+ Revision: 83984
- increase rel so package gets updated when updating from mdv
- remove buildroot definition
- clean .spec a bit

* Thu Mar 03 2011 saispo <saispo> 1.6.0-1.mga1
+ Revision: 63357
- imported package rdesktop

